Skip to content
sign in

Start GitLab OAuth sign-in (browser flow)

GET /auth/gitlab

Sets a state cookie and redirects to GitLab asking for read_user only. With ?next=repos or ?next=barista the callback attaches the GitLab account to the signed-in user instead of signing in, and returns to /repos or /barista/setup. 404 auth_method_disabled when GitLab OAuth is not configured.

Request

Parameters

  • next (query, "repos" | "barista")

Responses

302

Redirect to the GitLab authorize page

default

Error as { error: { code, message } }

  • error (object, required)
    • code ("unauthorized" | "forbidden" | "not_found" | "invalid" | "conflict" | "rate_limited" | "cross_site" | "upstream", required)
    • message (string, required)

Example

curl -X GET \
  https://cupof.ai/auth/gitlab